Last Comment Bug 745703 - XBL for menu-button inherits accessKey instead of accesskey
: XBL for menu-button inherits accessKey instead of accesskey
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XUL (show other bugs)
: unspecified
: All All
: -- minor (vote)
: mozilla16
Assigned To: Atte Kemppilä [:atte]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 02:40 PDT by Daniel Dawson
Modified: 2012-06-27 03:34 PDT (History)
3 users (show)
jaws: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.12 KB, patch)
2012-06-25 11:29 PDT, Atte Kemppilä [:atte]
enndeakin: review+
Details | Diff | Review

Description Daniel Dawson 2012-04-16 02:40:34 PDT
The content button in the XBL at chrome://global/content/bindings/button.xml#menu-button has "accessKey" (uppercase "K") in its inherits list. But this should be "accesskey" (lowercase). This usually results in the accesskey not being underlined, although the key still activates the button. Also, if the accesskey comes from a command element, it becomes underlined on mouseover.
Comment 1 Atte Kemppilä [:atte] 2012-06-25 11:29:47 PDT
Created attachment 636409 [details] [diff] [review]
patch
Comment 2 Neil Deakin 2012-06-25 12:21:37 PDT
Thanks for the patch. Do you need help to check it in?
Comment 3 Atte Kemppilä [:atte] 2012-06-25 12:33:59 PDT
Yeah, I have no idea how checking is done.
Comment 4 Neil Deakin 2012-06-26 06:57:11 PDT
If you set the 'checkin-needed' keyword on the bug, as I've done, someone may come along and check it in. If not, you can ask on the #developers irc channel for someone to.
Comment 5 (Away 6/25-7/4) Jared Wein [:jaws] (reviews and needinfo disabled until back) 2012-06-26 15:46:00 PDT
Pushed to mozilla-inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/2ee8a6148b94

Nice job on your first patch Atte. If everything goes smoothly, your patch will be merged to mozilla-central within a day or two.
Comment 6 Ed Morley [:emorley] 2012-06-27 03:34:46 PDT
https://hg.mozilla.org/mozilla-central/rev/2ee8a6148b94

Note You need to log in before you can comment on or make changes to this bug.